Bug 46909 - <jsp:plugin> error
<jsp:plugin> error
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Jasper
Unknown
All Linux
: P2 critical (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-03-25 03:07 UTC by Takao
Modified: 2009-06-04 07:49 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Takao 2009-03-25 03:07:44 UTC
<jsp:plugin type="applet"> generates type="application/x-java-applet;" instead of type = "application/x-java-applet".
Firefox with Java-plugin cannot display Java applets because ";" is added.
Comment 1 Mark Thomas 2009-04-09 04:48:42 UTC
Note that the ';' is expected in some circumstances. Eg:
type="application/x-java-applet;version=1.5.0"

That said, the ';' should really only be present if there is a following parameter so I have patched trunk to that effect and proposed the change for 5.5.x and 6.0.x
Comment 2 Mark Thomas 2009-05-02 18:26:44 UTC
This has been fixed in 6.0.x and will be included in 6.0.20 onwards.
Comment 3 Mark Thomas 2009-06-04 07:49:49 UTC
This has been fixed in 5.5.x and will be included in 5.5.28 onwards.